Package org.linphone.core

# Enum Class Reason

java.lang.Object
java.lang.Enum<Reason>
org.linphone.core.Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<Reason>`, `Constable`

public enum Reason extends Enum<Reason>
Enum describing various failure reasons or contextual information for some
events.
see: `Call.getReason()`
see: `ProxyConfig.getError()`
see: `ErrorInfo.getReason()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AddressIncomplete`
Address incomplete.
`BadEvent`
Bad event.
`BadGateway`
Bad gateway.
`Busy`
Phone line was busy.
`ConditionalRequestFailed`
Conditional Request Failed.
`Declined`
The call has been declined.
`DoNotDisturb`
Do not disturb reason.
`Forbidden`
Authentication failed due to bad credentials or resource forbidden.
`Gone`
Resource no longer exists.
`IOError`
Transport error: connection failures, disconnections etc...
`MovedPermanently`
Resource moved permanently.
`NoMatch`
Operation could not be executed by server or remote client because it didn't
have any context for it.
`None`
No reason has been set by the core.
`NoResponse`
No response received from remote.
`NotAcceptable`
Operation is rejected due to incompatible or unsupported media parameters.
`NotAnswered`
The call was not answered in time (request timeout)
`NotFound`
Destination of the call was not found.
`NotImplemented`
Not implemented.
`SasCheckRequired`
`ServerTimeout`
Server timeout.
`SessionIntervalTooSmall`
The received request contains a Session-Expires header field with a duration
below the minimum timer.
`TemporarilyUnavailable`
Temporarily unavailable.
`Transferred`
The call has been transferred.
`Unauthorized`
Operation is unauthorized because missing credential.
`Unknown`
Unknown reason.
`UnsupportedContent`
Unsupported content.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Reason`
`fromInt(int value)`
`protected static Reason[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(Reason[] values)`
`static Reason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Reason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final Reason None
No reason has been set by the core.

### NoResponse

public static final Reason NoResponse
No response received from remote.

### Forbidden

public static final Reason Forbidden
Authentication failed due to bad credentials or resource forbidden.

### Declined

public static final Reason Declined
The call has been declined.

### NotFound

public static final Reason NotFound
Destination of the call was not found.

### NotAnswered

public static final Reason NotAnswered
The call was not answered in time (request timeout)

### Busy

public static final Reason Busy
Phone line was busy.

### UnsupportedContent

public static final Reason UnsupportedContent
Unsupported content.

### BadEvent

public static final Reason BadEvent
Bad event.

### IOError

public static final Reason IOError
Transport error: connection failures, disconnections etc...

### DoNotDisturb

public static final Reason DoNotDisturb
Do not disturb reason.

### Unauthorized

public static final Reason Unauthorized
Operation is unauthorized because missing credential.

### NotAcceptable

public static final Reason NotAcceptable
Operation is rejected due to incompatible or unsupported media parameters.

### NoMatch

public static final Reason NoMatch
Operation could not be executed by server or remote client because it didn't
have any context for it.

### MovedPermanently

public static final Reason MovedPermanently
Resource moved permanently.

### Gone

public static final Reason Gone
Resource no longer exists.

### TemporarilyUnavailable

public static final Reason TemporarilyUnavailable
Temporarily unavailable.

### AddressIncomplete

public static final Reason AddressIncomplete
Address incomplete.

### NotImplemented

public static final Reason NotImplemented
Not implemented.

### BadGateway

public static final Reason BadGateway
Bad gateway.

### SessionIntervalTooSmall

public static final Reason SessionIntervalTooSmall
The received request contains a Session-Expires header field with a duration
below the minimum timer.

### ServerTimeout

public static final Reason ServerTimeout
Server timeout.

### Unknown

public static final Reason Unknown
Unknown reason.

### Transferred

public static final Reason Transferred
The call has been transferred.

### ConditionalRequestFailed

public static final Reason ConditionalRequestFailed
Conditional Request Failed.

### SasCheckRequired

public static final Reason SasCheckRequired

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Reason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Reason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Reason fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static Reason[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(Reason[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()